OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.Instruments

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXInstruments :: MonadIO m => m Bool
- gl_SGIX_instruments :: Bool
- pattern GL_INSTRUMENT_BUFFER_POINTER_SGIX :: GLenum
- pattern GL_INSTRUMENT_MEASUREMENTS_SGIX :: GLenum
- glGetInstrumentsSGIX :: MonadIO m => m GLint
- glInstrumentsBufferSGIX :: MonadIO m => GLsizei -> Ptr GLint -> m ()
- glPollInstrumentsSGIX :: MonadIO m => Ptr GLint -> m GLint
- glReadInstrumentsSGIX :: MonadIO m => GLint -> m ()
- glStartInstrumentsSGIX :: MonadIO m => m ()
- glStopInstrumentsSGIX :: MonadIO m => GLint -> m ()

# Extension Support

glGetSGIXInstruments :: MonadIO m => m Bool Source #

Is the SGIX_instruments extension supported?

gl_SGIX_instruments :: Bool Source #

Is the SGIX_instruments extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXInstruments` in those cases instead.

# Enums

pattern GL_INSTRUMENT_BUFFER_POINTER_SGIX :: GLenum Source #

pattern GL_INSTRUMENT_MEASUREMENTS_SGIX :: GLenum Source #

# Functions

glGetInstrumentsSGIX :: MonadIO m => m GLint Source #

glInstrumentsBufferSGIX Source #

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> Ptr GLint | `buffer` pointing to `size` elements of type `GLint`.
-> m () |

glPollInstrumentsSGIX Source #

Arguments

:: MonadIO m |
=> Ptr GLint | `marker_p` pointing to `1` element of type `GLint`.
-> m GLint |

glReadInstrumentsSGIX Source #

Arguments

:: MonadIO m |
=> GLint | `marker`.
-> m () |

glStartInstrumentsSGIX :: MonadIO m => m () Source #

glStopInstrumentsSGIX Source #

Arguments

:: MonadIO m |
=> GLint | `marker`.
-> m () |